IOSS 2.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ioss::NamedSuffixVariableType Class Reference

`#include <Ioss_NamedSuffixVariableType.h>`

Inheritance diagram for Ioss::NamedSuffixVariableType:
[legend]
Collaboration diagram for Ioss::NamedSuffixVariableType:
[legend]

## Public Member Functions
std::string | label (int which, const char) const override
| NamedSuffixVariableType (const std::string &my_name, int number_components, bool delete_me)
void | add_suffix (size_t which, const std::string &suffix)
| Define the suffix list for this field. More...
Public Member Functions inherited from Ioss::VariableType
virtual | ~VariableType ()
int | component_count () const
virtual int | suffix_count () const
std::string | name () const
virtual std::string | label_name (const std::string &base, int which, char suffix_sep='_') const
virtual bool | match (const std::vector< Suffix > &suffices) const

## Private Member Functions
| NamedSuffixVariableType (const NamedSuffixVariableType &)

## Private Attributes
std::vector< std::string > | suffixList

## Additional Inherited Members
Static Public Member Functions inherited from Ioss::VariableType
static void | alias (const std::string &base, const std::string &syn)
static int | describe (NameList *names)
| Get the names of variable types known to IOSS. More...
static bool | create_named_suffix_field_type (const std::string &type_name, const std::vector< std::string > &suffices)
static bool | get_field_type_mapping (const std::string &field, std::string *type)
static bool | add_field_type_mapping (const std::string &raw_field, const std::string &raw_type)
static std::string | numeric_label (int which, int ncomp, const std::string &name)
static const VariableType * | factory (const std::string &raw_name, int copies=1)
static const VariableType * | factory (const std::vector< Suffix > &suffices)
Protected Member Functions inherited from Ioss::VariableType
| VariableType (const std::string &type, int comp_count, bool delete_me=false)
Static Protected Member Functions inherited from Ioss::VariableType
static Registry & | registry ()

## Constructor & Destructor Documentation

## ◆ NamedSuffixVariableType() [1/2]

Ioss::NamedSuffixVariableType::NamedSuffixVariableType | ( | const std::string & | my_name,
|  | int | number_components,
|  | bool | delete_me
| ) |  |
| inline

## ◆ NamedSuffixVariableType() [2/2]

Ioss::NamedSuffixVariableType::NamedSuffixVariableType | ( | const NamedSuffixVariableType & |  | ) |
| private

## Member Function Documentation

## ◆ add_suffix()

void Ioss::NamedSuffixVariableType::add_suffix | ( | size_t | which,
|  | const std::string & | suffix
| ) |  |
| inline

Define the suffix list for this field.

## ◆ label()

std::string Ioss::NamedSuffixVariableType::label | ( | int | which,
|  | const char |
| ) |  | const
| inline override virtual

Implements Ioss::VariableType.

## Member Data Documentation

## ◆ suffixList

std::vector<std::string> Ioss::NamedSuffixVariableType::suffixList
| private

The documentation for this class was generated from the following file:

- src/Ioss_NamedSuffixVariableType.h